## fsl-mm-codeclib 1.9.8+repack-2charlotte3

=== test/aac_dec/Makefile ===

#*****************************************************************************
#
#  aac_dec Codec Makefile
#
#*****************************************************************************
CODEC=aac_dec


include ../../build/Makefile_test.init

CFLAGS += -DCT_CONF -DINTERLEAVE_OUTPUT

ifeq ($(BSAC),1)
        CFLAGS  += -o2 -DBSAC_DEC #-DINTERLEAVE_OUTPUT
   ifeq ($(BSAC_DEBUG),1)
        CFLAGS  += -DBSAC_DEBUG_DUMP
   endif
endif
ifneq ($(TEST_BLOCK_OUTPUT), 1)
       CFLAGS  += -DTEST_INTERLEAVE_OUTPUT
endif
ifeq ($(TGT_OS),ELINUX)
	ifeq ($(TIME_PROFILE),1)
		CFLAGS += -DTIME_PROFILE
	endif

  ifeq ($(TGT_CPU),ARM11)
	CFLAGS   += -DMPEG4 -DARM_OPT_MACROS -DLC
    	ifeq ($(ALSA_TEST),1)
		CFLAGS += -DALSA
		LIBRARY += ../../common/lib/libasound.so
	endif
 endif

 ifeq ($(TGT_CPU),ARM9)

     CFLAGS += -O2 -DLC  -DFIXED_POINT_CODE -DMPEG4 -DARM_OPT_MACROS -DLITTLE_ENDIAN -D_fix_h
 endif
endif
ifeq ($(TGT_OS),SYMBIAN)
	ifeq ($(TIME_PROFILE),1)
		CFLAGS += -DTIME_PROFILE
	endif
	ifeq ($(MEMORY_MEASUREMENT),1)
		CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
	endif

  ifeq ($(TGT_CPU),ARM11)
	CFLAGS   += -DMPEG4 -DARM_OPT_MACROS -DLC  -DSINGLE_VECTOR
 endif

 endif
ifeq ($(TGT_OS),UNIX)

	CFLAGS  += -DUNIX

endif

ifeq ($(TGT_OS),VRTX)
  CFLAGS  += --pointer_alignment=1 --min_array_alignment=4 --debug -O0 --apcs=interwork --memaccess=-UL41\
             -DMPEG4 -DARM_OPT_MACROS -DLC -DARM_ADS -DARM_DCT_ASM -DARM_FFT_ASM -DCO_PROCESSOR_C15 \
            -DFIXED_POINT_CODE -DNO_STD_LIB -DSINGLE_VECTOR -DOS_VRTX -DMHZ_MEASUREMENT

 AFLAGS += --debug --keep --xref --apcs=inter --predefine="EMBEDDED_ARM SETA 1" \
          --predefine="CO_PROCESSOR_C15 SETL {TRUE}"

  LFLAGS += --be32 --ro_base=0x90000000

endif

#ifeq ($(TGT_OS),LERVDS)

 ifeq ($(TGT_CPU),ARM12)
      CFLAGS += -DCORTEX_A8
      ifeq ($(SOC_PROFILE),TRUE)
           CFLAGS += -DSOC_PROFILE
      endif
 endif
ifeq ($(TGT_OS),LERVDS)

  CFLAGS  += -O2 -DARM_ADS  -DSINGLE_VECTOR -DFLEXIBLE_VECTOR_PATH --inline --autoinline --forceinline  --enum_is_int #-DDISCARD_OUTPUT
  ifeq ($(TIME_PROFILE),1)
 	CFLAGS += -DTIME_PROFILE_RVDS
 	CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
 	COMMON_DIR_C = ../../common/c_src
 	C_OBJS += $(COMMON_DIR_C)/profile_utils.o
 	INCLUDES += -I./c_src
 endif
		ifeq ($(MX31ADS_STANDALONE),1)
	    AFLAGS += --PD "MX31ADS SETL {TRUE}"
	    LFLAGS += --scatter ../../common/asm_arm/mx31/scat_a.txt --entry 0x80080000
	    ifeq ($(LEVEL2_PAGE),1)
	    	AFLAGS += --PD "L2_TTB SETL {TRUE}"
	    endif
	  endif
		ifeq ($(MX353DS_STANDALONE),1)
	    AFLAGS += --PD "MX353DS SETL {TRUE}"
	    LFLAGS += --scatter ../../common/asm_arm/mx35/scat_a.txt --entry 0x80080000
	    ifeq ($(LEVEL2_PAGE),1)
	    	AFLAGS += --PD "L2_TTB SETL {TRUE}"
	    endif
	  endif

	LFLAGS +=  --info sizes,totals --info libraries --info unused --symbols --map --list ./aacd_arm.map
endif

ifeq ($(TGT_OS),BERVDS)

CFLAGS  +=  --enum_is_int --pointer_alignment=1 --min_array_alignment=4 --debug -O0 -Otime --apcs=interwork --memaccess=-UL41\
          -DMPEG4 -DARM_OPT_MACROS -DLC -DARM_ADS -DARM_DCT_ASM -DARM_FFT_ASM -DCO_PROCESSOR_C15 \
          -DFIXED_POINT_CODE -DNO_STD_LIB -DSINGLE_VECTOR -DMHZ_MEASUREMENT -DBE_RVDS -DFLEXIBLE_VECTOR_PATH


AFLAGS +=  --bigend --debug --keep --xref --apcs=inter --predefine="EMBEDDED_ARM SETA 1" \
          --predefine="CO_PROCESSOR_C15 SETL {TRUE}"

LFLAGS += --be32 --ro_base=0x90000000


endif



 C_OBJS = $(APP_DIR)/aac_main.o
 C_OBJS +=$(APP_DIR)/aac_aux.o
 C_OBJS += $(APP_DIR)/portio.o

 ifeq ($(TGT_CPU),ARM12)
      ifeq ($(SOC_PROFILE),TRUE)
           C_OBJS +=$(APP_DIR)/aac_array.o
      endif
 endif
 ifeq ($(TGT_OS),LERVDS)
  ifeq ($(TIME_PROFILE),1)
   C_OBJS += ../../common/c_src/profile_utils.o
  endif

 ifeq ($(MX31ADS_STANDALONE),1)
	C_OBJS += ../../common/c_src/retarget.o
  ASM_OBJS += ../../common/asm_arm/mx31/initmmu.o
  ASM_OBJS += ../../common/asm_arm/mx31/ttb.o
 endif

 ifeq ($(MX353DS_STANDALONE),1)
	C_OBJS += ../../common/c_src/retarget.o
  ASM_OBJS += ../../common/asm_arm/mx35/initmmu.o
  ASM_OBJS += ../../common/asm_arm/mx35/ttb.o
 endif
endif


ifeq ($(TGT_OS),VRTX)
  ASM_OBJS += ../../common/asm_arm/rt_memory.o
  ASM_OBJS += ../../common/asm_arm/rt_mem_h.o

endif
ifeq ($(TGT_OS),BERVDS)
  ASM_OBJS += ../../common/asm_arm/rt_memory.o
  ASM_OBJS += ../../common/asm_arm/rt_mem_h.o

endif



ifeq ($(TGT_OS),UNIX)
	ALL_OBJS = $(C_OBJS)
else
	ALL_OBJS = $(C_OBJS) $(ASM_OBJS)
endif

ifeq ($(TGT_CPU),ARM12)
ifneq "$(TGT_OS)" "ELINUX"
        ALL_OBJS += ../../common/asm_arm/Init_Cortex.o \
		    ../../common/asm_arm/InitCache_Cortex.o \
		    ../../common/asm_arm/Vectors.o \
		    ../../common/c_src/retarget_Cortex.o
endif
endif




all: LIBRARY_COPY TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

LIBRARY_COPY:
ifndef DBG
 ifeq ($(LIB_TYPE),STATIC)
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).a  ./
 else
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
 endif
endif

#Build the library
TEST_ARM11_SYMBIAN: $(ALL_OBJS) $(LIBRARY)
		$(LN) $(INFLAGS) $(ALL_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM) --symbols --list $(PROGRAM).map  $(LIBRARY) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM)  $(PROGRAM)

TEST_ARM12_LERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)
TEST_ARM11_LERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM11_UNIX:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM11_BERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM11_VRTX:	$(ALL_OBJS) $(LIBRARY)
#		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)


TEST_ARM11_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
		$(LN) -W1,x -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))

TEST_ARM12_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
		$(LN) -W1,x -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))


TEST_ARM9_ELINUX	: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
ifneq ($(BUILD),ARM9GSELINUX)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS)$(subst $(LIB_DIR)/,,$(LIBRARY))
else
ifeq ($(LIB_TYPE),STATIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY)) $(GSO_LIBS)
endif
ifeq ($(LIB_TYPE),DYNAMIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY)),,$(LIBRARY))
endif
endif

TEST_X86_UNIX	: $(ALL_OBJS) $(LIBRARY)
		$(LN) -o  $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM9_LERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<


clean:
	rm -f $(ALL_OBJS) $(PROGRAM) $(PROGRAM).map main.in

=== test/bmp_dec/Makefile ===
#*****************************************************************************
#
# bmp_decTest App Makefile
#
#*****************************************************************************
CODEC=bmp_dec



include ../../build/Makefile_test.init

#Set the build specific variables

ifeq ($(TGT_OS),VRTX)
AFLAGS += --debug --keep --cpu=ARM1136J-S
 CFLAGS += --pointer_alignment=1 --min_array_alignment=4 --dwarf2 -DOS_VRTX -DBIG_ENDIAN --debug -O0 \
	     -Otime --apcs=inter --memaccess=-UL41
 LFLAGS += --be32 --map --list=r.map
endif

ifeq ($(TGT_OS),ELINUX)
	ifeq ($(TIME_PROFILE),1)

	CFLAGS += -DTIME_PROFILE=1

	endif


	ifeq ($(TGT_CPU), ARM9)
	  CFLAGS += -O3 -fomit-frame-pointer
	endif
endif

ifeq ($(TGT_OS),SYMBIAN)
	ifeq ($(TIME_PROFILE),1)

	CFLAGS += -DTIME_PROFILE=1

	endif
	ifeq ($(MEMORY_MEASUREMENT),1)
	    		CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
   	endif
endif
ifeq ($(TGT_OS),LERVDS)
	CFLAGS   += --inline --autoinline --forceinline
      ifeq ($(TIME_PROFILE),1)

	CFLAGS += -DTIME_PROFILE_RVDS=1
    CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE

	endif

endif

ifeq ($(TGT_OS),BERVDS)

 AFLAGS += --debug --keep --cpu=ARM1136J-S
 CFLAGS += --pointer_alignment=1 --min_array_alignment=4 --dwarf2  --debug -O0 \
	     -Otime --apcs=inter --memaccess=-UL41
 LFLAGS += --be32 --map --list=r.map
 	ifeq ($(TIME_PROFILE),1)
		CFLAGS +=  -DTIME_PROFILE_RVDS
		COMMON_DIR_C = ../../common/c_src
		C_OBJS += $(COMMON_DIR_C)/profile_utils.o
		INCLUDES += -I./c_src
	endif

endif

C_OBJS = $(APP_DIR)/test_bmp.o
C_OBJS += $(APP_DIR)/log_api.o

ifeq ($(TGT_OS),LERVDS)
 ifeq ($(TIME_PROFILE),1)
  C_OBJS += ../../common/c_src/profile_utils.o
 endif
endif




ALL_OBJS = $(C_OBJS)


all: LIBRARY_COPY TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

LIBRARY_COPY:
ifndef DBG
 ifeq ($(LIB_TYPE),STATIC)
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).a  ./
 else
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
 endif
endif

#Build the library
TEST_ARM11_SYMBIAN: $(ALL_OBJS)  $(LIBRARY)
		$(LN) $(INFLAGS) $(ALL_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM) --symbols --list $(PROGRAM).map $(SYMLIB)  $(LIBRARY)
		$(ELFTRAN)   $(PROGRAM)  $(PROGRAM)

TEST_ARM11_LERVDS: $(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM11_BERVDS:
	@echo "--- Build not supported for library $(CODEC) ---"

TEST_ARM11_ELINUX: $(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM9_LERVDS:$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))

TEST_ARM9_BERVDS:$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM11_VRTX:
	@echo "--- Build not supported for library $(CODEC) ---"

TEST_ARM9_VRTX:	$(ALL_OBJS) $(LIBRARY)
#		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM9_ELINUX	: $(ALL_OBJS) $(LIBRARY)
ifneq ($(BUILD),ARM9GSELINUX)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
else
ifeq ($(LIB_TYPE),STATIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY)) $(GSO_LIBS)
endif
ifeq ($(LIB_TYPE),DYNAMIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
endif
endif

TEST_X86_UNIX	:$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<



clean:
	rm -f $(ALL_OBJS) $(PROGRAM)  $(PROGRAM).map main.in

=== test/g.711/Makefile ===
#*****************************************************************************
#
#  g.711 Codec Makefile
#
#*****************************************************************************
CODEC=g.711

include ../../build/Makefile_test.init

ifeq ($(BIT_MATCH),1)
    CFLAGS += -DBIT_MATCH_WITH_REF
endif

ifeq ($(TGT_OS),ELINUX)
CFLAGS +=  --debug #-DTIME_PROFILE   #-DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
#CFLAGS += -DREENTRANCY_TEST
LFLAGS += --be32

    ifeq ($(TIME_PROFILE),1)
      CFLAGS +=  -DTIME_PROFILE
    endif
   	ifeq ($(MEMORY_MEASUREMENT),1)
    		CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
   	endif

endif

ifeq ($(TGT_OS),SYMBIAN)

    ifeq ($(TIME_PROFILE),1)
      CFLAGS +=  -DTIME_PROFILE
    endif
   	ifeq ($(MEMORY_MEASUREMENT),1)
    		CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
   	endif

endif


ifeq ($(TGT_OS),VRTX)
AFLAGS += --debug --keep --apcs=inter --memaccess=-UL41
CFLAGS  += --debug -O0 --apcs=inter --memaccess=-UL41 -DOS_VRTX -DBIG_ENDIAN
ifeq ($(TGT_CPU), ARM11)
LDFLAGS += --be32 --ro_base=0x90000000
endif
endif

ifeq ($(TGT_OS),BERVDS)
ifeq ($(TGT_CPU), ARM11)
 AFLAGS +=  --debug --keep --cpu=ARM1136J-S
 CFLAGS +=  --debug --cpu=ARM1136J-S  -O0 -Otime -DBIG_ENDIAN -DRVDS_LIB -DTIME_PROFILE_RVDS -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE #--list
 LFLAGS +=   --be32
else
 AFLAGS +=  --debug --keep --cpu=ARM926EJ-S
 AFLAGS +=  --pd "CRMLBEMEM SETL {TRUE}"
 CFLAGS +=  --debug --cpu=ARM926EJ-S  -O0 -Otime -DBIG_ENDIAN -DRVDS_LIB -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE #--list
 LFLAGS +=   --be32 --ro_base=0x80000000 #--scatter link_nand.lds
endif
endif

ifeq ($(TGT_OS),LERVDS)
 ifeq ($(TGT_CPU),ARM11)
 AFLAGS +=  --debug --keep --cpu=ARM1136J-S
 CFLAGS +=  --debug --cpu=ARM1136J-S  -O0 -Otime #-DTIME_PROFILE_RVDS -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE#--list
 endif
 ifeq ($(TGT_CPU),ARM9)
 AFLAGS +=  --debug --keep --cpu=ARM926EJ-S
 CFLAGS +=  --debug --cpu=ARM926EJ-S  -O0 -Otime #-DTIME_PROFILE_RVDS -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE#--list
 endif
 LFLAGS += #--be32
        ifeq ($(TIME_PROFILE_RVDS),1)
                #CFLAGS  +=  -DTIME_PROFILE_RVDS
                CFLAGS  +=  -DMEASURE_STACK_USAGE
                CFLAGS  +=  -DMEASURE_HEAP_USAGE
        endif
        ifeq ($(DUMMYCALL),1)
                CFLAGS += -DDUMMYCALL
        endif
endif

ifeq ($(TGT_OS),UNIX)
 CFLAGS +=  --debug
 #CFLAGS += -DREENTRANCY_TEST
 LFLAGS += #--be32
endif

ifeq ($(TGT_OS),ELINUX)
	C_OBJS = $(APP_DIR)/common/process_cmdline.o
	C_ENC_OBJS = $(APP_DIR)/encoder/g711_encode_test.o
	C_DEC_OBJS = $(APP_DIR)/decoder/g711_decode_test.o
endif
ifeq ($(TGT_OS),SYMBIAN)
	C_OBJS = $(APP_DIR)/common/process_cmdline.o
	C_ENC_OBJS = $(APP_DIR)/encoder/g711_encode_test.o
	C_DEC_OBJS = $(APP_DIR)/decoder/g711_decode_test.o
endif
ifeq ($(TGT_OS),VRTX)
	C_OBJS = $(APP_DIR)/common/process_cmdline.o
	C_ENC_OBJS = $(APP_DIR)/encoder/g711_encode_test.o
	C_DEC_OBJS = $(APP_DIR)/decoder/g711_decode_test.o

	ASM_OBJS =  ../../common/asm_arm/rt_memory.o
	ASM_OBJS +=	../../common/asm_arm/rt_mem_h.o
	ASM_OBJS +=	../../common/asm_arm/initcache.o
	ASM_OBJS +=	../../common/c_src/profile_utils.o
endif

ifeq ($(TGT_OS),BERVDS)
	C_OBJS = $(APP_DIR)/common/process_cmdline.o
	C_OBJS += ../../common/c_src/profile_utils.o
	C_ENC_OBJS = $(APP_DIR)/encoder/g711_encode_test.o
	C_DEC_OBJS = $(APP_DIR)/decoder/g711_decode_test.o

	ASM_OBJS =  ../../common/asm_arm/rt_memory.o
	ASM_OBJS +=	../../common/asm_arm/rt_mem_h.o
	ASM_OBJS +=	../../common/asm_arm/initcache.o
	ASM_OBJS +=	../../common/c_src/profile_utils.o
endif

ifeq ($(TGT_OS),LERVDS)
	C_OBJS = $(APP_DIR)/common/process_cmdline.o
	C_OBJS += ../../common/c_src/profile_utils.o
	C_ENC_OBJS = $(APP_DIR)/encoder/g711_encode_test.o
	C_DEC_OBJS = $(APP_DIR)/decoder/g711_decode_test.o

	#ASM_OBJS =  ../../common/asm_arm/rt_memory.o
	#ASM_OBJS +=	../../common/asm_arm/rt_mem_h.o
	#ASM_OBJS +=	../../common/asm_arm/initcache.o
	#ASM_OBJS +=	../../common/c_src/profile_utils.o
endif


ifeq ($(TGT_OS),UNIX)
	C_OBJS = $(APP_DIR)/common/process_cmdline.o
	C_ENC_OBJS = $(APP_DIR)/encoder/g711_encode_test.o
	C_DEC_OBJS = $(APP_DIR)/decoder/g711_decode_test.o
endif


ifeq ($(TGT_OS),UNIX)
	ALL_OBJS = $(C_OBJS) $(C_ENC_OBJS) $(C_DEC_OBJS)
else
	ALL_OBJS = $(C_OBJS) $(C_ENC_OBJS) $(C_DEC_OBJS)  $(ASM_OBJS)
endif

all: LIBRARY_COPY TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

LIBRARY_COPY:
ifndef DBG
	cp $(LIB_DIR)/lib_$(CODEC)_dec_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
	cp $(LIB_DIR)/lib_$(CODEC)_enc_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
endif

#Build the library
TEST_ARM11_SYMBIAN: $(ALL_OBJS) $(LIBRARY_ENC) $(LIBRARY_DEC)
		$(LN) $(INFLAGS) $(C_DEC_OBJS) $(C_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM_DEC) --symbols --list $(PROGRAM_DEC).map  $(LIBRARY_DEC) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM_DEC)  $(PROGRAM_DEC)
		$(LN) $(INFLAGS) $(C_ENC_OBJS) $(C_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM_ENC) --symbols --list $(PROGRAM_ENC).map  $(LIBRARY_ENC) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM_ENC)  $(PROGRAM_ENC)

TEST_ARM11_LERVDS: $(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
		$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) $(LIBRARY_DEC)
		$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) $(LIBRARY_ENC)
		#$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_DEC).map $(LIBRARY_DEC) $(SYMLIB)
		#$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_ENC).map $(LIBRARY_ENC) $(SYMLIB)

TEST_ARM11_BERVDS: $(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
		$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) $(LIBRARY_DEC)
		$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM9_LERVDS:	$(ALL_OBJS)  $(LIBRARY_ENC) $(LIBRARY_DEC)
		$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) $(LIBRARY_DEC)
		$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) $(LIBRARY_ENC)
		#$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_DEC).map $(LIBRARY_DEC) $(SYMLIB)
		#$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_ENC).map $(LIBRARY_ENC) $(SYMLIB)

TEST_ARM9_BERVDS:	$(ALL_OBJS)  $(LIBRARY_ENC) $(LIBRARY_DEC)
		$(LN) --map -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(ASM_OBJS) $(C_DEC_OBJS) $(LIBRARY_DEC)
		$(LN) --map -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(ASM_OBJS) $(C_ENC_OBJS) $(LIBRARY_ENC)
		#$(LN) --map -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(ASM_OBJS) $(C_DEC_OBJS) --symbols --list $(PROGRAM_DEC).map $(LIBRARY_DEC) $(SYMLIB)
		#$(LN) --map -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(ASM_OBJS) $(C_ENC_OBJS) --symbols --list $(PROGRAM_ENC).map $(LIBRARY_ENC) $(SYMLIB)

TEST_ARM11_VRTX:	$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
		$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) $(LIBRARY_DEC)
		$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM9_VRTX:	$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
#		$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) $(LIBRARY_DEC)
#		$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM11_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC)) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
	$(LN) -o $(PROGRAM_DEC) $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))

TEST_ARM9_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC)) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))


TEST_X86_UNIX :  $(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	    $(LN) -o $(PROGRAM_DEC) $(LFLAGS) $(C_OBJS) $(C_DEC_OBJS) $(LIBRARY_DEC)
	    $(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(C_OBJS) $(C_ENC_OBJS) $(LIBRARY_ENC)

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<


clean:
	rm -f $(ALL_OBJS) $(PROGRAM_ENC) $(PROGRAM_DEC) $(PROGRAM_DEC).map $(PROGRAM_ENC).map main.in

=== test/g.723.1/Makefile ===
#*****************************************************************************
#
# G.723.1 Test App Makefile
#
#*****************************************************************************
CODEC=g.723.1


include ../../build/Makefile_test.init




#Set the build specific variables

ifeq ($(TGT_OS),ELINUX)
	CFLAGS    +=
endif

ifeq ($(TGT_OS),UNIX)
     CFLAGS    +=    -DG723_DEBUG_PRINT
endif

ifeq ($(TOOL_CHAIN),RVDS)
	CFLAGS  +=  --inline --autoinline --forceinline
endif

ifeq ($(TGT_ENDIAN),BIG)

 CFLAGS +=  -DG723_BIG_ENDIAN
endif

ifeq ($(TOOL_CHAIN),RVDS)
ifeq ($(TGT_OS),VRTX)
   AFLAGS +=   --debug --keep
   CFLAGS  += --pointer_alignment=2 --min_array_alignment=4\
		            --debug -Oldrd\
		            --apcs=inter --memaccess=-UL41 -D__arm -D__NORM_ -DG723_ARM11_VERSION -DARM_OPTS -DDEBUG -DG723_BIG_ENDIAN -DOS_VRTX

   LFLAGS += --be32 --map --ro_base=0x90000000

endif

endif
ifeq ($(TGT_OS),SYMBIAN)
  C_OBJS = $(APP_DIR)/common/log_api.o
endif
ifeq ($(TGT_OS),ELINUX)
  C_OBJS = $(APP_DIR)/common/log_api.o
endif
C_OBJS = $(APP_DIR)/common/strfunc.o


C_DEC_OBJS = $(APP_DIR)/decoder/g723_dectest.o
C_ENC_OBJS = $(APP_DIR)/encoder/g723_enctest.o

ifeq ($(TGT_OS),VRTX)

   ASM_OBJS = ../../common/asm_arm/rt_memory.o
   ASM_OBJS += ../../common/asm_arm/rt_mem_h.o
   ASM_OBJS += ../../common/asm_arm/initcache.o

endif

ifeq ($(TGT_OS),VRTX)
ALL_OBJS = $(C_OBJS) $(C_DEC_OBJS) $(C_ENC_OBJS) $(ASM_OBJS)
DEC_OBJS = $(C_OBJS) $(C_DEC_OBJS) $(ASM_OBJS)
ENC_OBJS = $(C_OBJS) $(C_ENC_OBJS) )$(ASM_OBJS)
else
ALL_OBJS = $(C_OBJS) $(C_ENC_OBJS) $(C_DEC_OBJS)
DEC_OBJS = $(C_OBJS) $(C_DEC_OBJS)
ENC_OBJS = $(C_OBJS) $(C_ENC_OBJS)
endif

#to enable profiling
ifeq ($(TGT_OS),SYMBIAN)
	ifeq ($(TIME_PROFILE),1)
		CFLAGS += -DTIME_PROFILE
	endif
 	ifeq ($(MEMORY_MEASUREMENT),1)
	 	CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
	endif

endif
ifeq ($(TGT_OS),ELINUX)
	ifeq ($(TIME_PROFILE),1)
		CFLAGS += -DTIME_PROFILE
	endif
else
	ifeq ($(TGT_OS),LERVDS)
		ifeq ($(TIME_PROFILE),1)
			ifeq ($(TGT_CPU),ARM11)
			     CFLAGS += -DTIME_PROFILE_RVDS
			else
			     CFLAGS += -DTIME_PROFILE_RVDS_ARM9
			endif
			CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
		endif
	endif
	ifeq ($(TGT_OS),BERVDS)
		CFLAGS += -DCYCLE_MEASUREMENT
	endif
endif

all: LIBRARY_COPY TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

LIBRARY_COPY:
ifndef DBG
	cp $(LIB_DIR)/lib_$(CODEC)_dec_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
	cp $(LIB_DIR)/lib_$(CODEC)_enc_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
endif


#Build the library
TEST_ARM11_SYMBIAN: $(ALL_OBJS) $(LIBRARY_ENC) $(LIBRARY_DEC)
		$(LN) $(INFLAGS) $(DEC_OBJS) $(C_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM_DEC) --symbols --list $(PROGRAM_DEC).map  $(LIBRARY_DEC) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM_DEC)  $(PROGRAM_DEC)
		$(LN) $(INFLAGS) $(ENC_OBJS) $(C_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM_ENC) --symbols --list $(PROGRAM_ENC).map  $(LIBRARY_ENC) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM_ENC)  $(PROGRAM_ENC)

TEST_ARM11_LERVDS:	$(ALL_OBJS)    $(LIBRARY_ENC) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM9_LERVDS:	$(ALL_OBJS)  $(LIBRARY_ENC) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM11_BERVDS:	$(ALL_OBJS)    $(LIBRARY_ENC) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM9_BERVDS:	$(ALL_OBJS)  $(LIBRARY_ENC) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)



TEST_ARM11_VRTX:	$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
#	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
#	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM11_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC)) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
	$(LN) -o $(PROGRAM_DEC) $(LFLAGS) $(DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))

TEST_ARM9_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC)) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))

TEST_X86_UNIX	: $(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)


%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<

clean:
	rm -f $(ALL_OBJS) $(PROGRAM_DEC) $(PROGRAM_ENC) $(PROGRAM_DEC).map $(PROGRAM_ENC).map main.in

=== test/g.726/Makefile ===
#*****************************************************************************
#
# G7.26 Test App Makefile
#
#*****************************************************************************
CODEC=g.726


include ../../build/Makefile_test.init

#Set the build specific variables
CFLAGS += -DG726_DEBUG_PRINT
#CFLAGS += -DTIME_PROFILE

ifeq ($(BIT_MATCH),1)
    CFLAGS += -DBIT_MATCH_WITH_REF
endif

ifeq ($(TIME_PROFILE), 1)
    ifeq ($(TGT_OS),ELINUX)
        CFLAGS  += -DTIME_PROFILE
    else
        ifeq ($(TGT_OS),LERVDS)
            CFLAGS  += -DTIME_PROFILE_RVDS             # used for both ARM9 and ARM11
            ifeq ($(TGT_CPU),ARM9)
                CFLAGS   += -DTIME_PROFILE_RVDS_ARM9   # used for test ARM9 MIPS on RVDS
            else
                #CFLAGS  += -DTIME_PROFILE_RVDS_ARM11   # used for test ARM11 MIPS on RVDS
                CFLAGS  += -DTIME_PROFILE_RVDS_ARM9   # used for test ARM11 MIPS on RVDS
            endif
            #CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
        else
            CFLAGS  += -DCYCLE_MEASUREMENT
        endif
    endif
endif


ifeq ($(TGT_OS),SYMBIAN)
	ifeq ($(TIME_PROFILE), 1)
		CFLAGS  += -DTIME_PROFILE
	endif
	ifeq ($(MEMORY_MEASUREMENT),1)
    		CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
   	endif
endif

ifeq ($(TGT_OS),BERVDS)
  AFLAGS += --debug --keep --cpu=ARM1136J-S --apcs=inter
  CFLAGS += --debug -O0 -Otime --list --pointer_alignment=1 --min_array_alignment=4\
		-O0 -Otime --apcs=interwork --memaccess=-UL41 -DTARGET_G726_ARM11 -DENDIAN_BIG
  LFLAGS += --be32 --ro_base=0x90000000
endif

ifeq ($(TGT_OS),VRTX)
     CFLAGS +=  --debug -O0 --pointer_alignment=1 --min_array_alignment=4 -DCYCLE_MEASUREMENT \
		  --apcs=interwork --memaccess=-UL41 -DTARGET_G726_ARM11 -DG726_BIG_ENDIAN -DOS_VRTX
     AFLAGS += --debug --keep  --apcs=inter
     LFLAGS	+= --be32 --ro-base=0x90000000
endif

C_OBJS = $(APP_DIR)/common/strfunc.o		\
		$(APP_DIR)/common/log_api.o

ifeq ($(TGT_OS),VRTX)
    C_OBJS += $(APP_DIR)/common/staticmemory.o
    ASM_OBJS +=../../common/asm_arm/rt_mem_h.o
endif
ifeq ($(TGT_OS),BERVDS)
    C_OBJS += $(APP_DIR)/common/staticmemory.o
    ASM_OBJS +=../../common/asm_arm/rt_mem_h.o
endif





C_DEC_OBJS = $(APP_DIR)/decoder/g726_dectest.o
C_ENC_OBJS = $(APP_DIR)/encoder/g726_enctest.o



ALL_OBJS = $(C_OBJS) $(C_DEC_OBJS) $(C_ENC_OBJS)
DEC_OBJS = $(C_OBJS) $(C_DEC_OBJS)
ENC_OBJS = $(C_OBJS) $(C_ENC_OBJS)
ifeq ($(TGT_OS),VRTX)
ALL_OBJS += $(ASM_OBJS)
DEC_OBJS += $(ASM_OBJS)
ENC_OBJS += $(ASM_OBJS)
endif



all: LIBRARY_COPY TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

LIBRARY_COPY:
ifndef DBG
	cp $(LIB_DIR)/lib_$(CODEC)_dec_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
	cp $(LIB_DIR)/lib_$(CODEC)_enc_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
endif

#Build the library
TEST_ARM11_SYMBIAN: $(ALL_OBJS) $(LIBRARY_ENC) $(LIBRARY_DEC)
		$(LN) $(INFLAGS) $(DEC_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM_DEC) --symbols --list $(PROGRAM_DEC).map  $(LIBRARY_DEC) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM_DEC)  $(PROGRAM_DEC)
		$(LN) $(INFLAGS) $(ENC_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM_ENC) --symbols --list $(PROGRAM_ENC).map  $(LIBRARY_ENC) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM_ENC)  $(PROGRAM_ENC)

TEST_ARM11_LERVDS:	$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)
	#$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_DEC).map $(LIBRARY_DEC) $(SYMLIB)
	#$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_ENC).map $(LIBRARY_ENC) $(SYMLIB)

TEST_ARM11_BERVDS:	$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM9_LERVDS: $(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)
	#$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_DEC).map $(LIBRARY_DEC) $(SYMLIB)
	#$(LN) -o $(PROGRAM_ENC) $(LFLAGS)  $(ENC_OBJS) --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_ENC).map $(LIBRARY_ENC) $(SYMLIB)

TEST_ARM11_VRTX:	$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
#	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
#	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)


TEST_ARM11_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC)) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
	$(LN) -o $(PROGRAM_DEC) $(LFLAGS) $(DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))

TEST_ARM9_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC)) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))


TEST_X86_UNIX : $(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)


%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<

clean:
	rm -f $(ALL_OBJS) $(PROGRAM_DEC)  $(PROGRAM_ENC) $(PROGRAM_DEC).map $(PROGRAM_ENC).map main.in

=== test/g.729ab/Makefile ===
#*****************************************************************************
#
# G7.29 Test App Makefile
#
#*****************************************************************************
CODEC=g.729ab


include ../../build/Makefile_test.init

#Set the build specific variables

ifeq ($(TIME_PROFILE), 1)
    ifeq ($(TGT_OS),ELINUX)
        CFLAGS  += -DTIME_PROFILE
    else
        ifeq ($(TGT_OS),LERVDS)
            #CFLAGS  += --inline --autoinline --forceinline
            ifeq ($(TGT_CPU),ARM9)
                CFLAGS   += -DTIME_PROFILE_RVDS_ARM9   # used for test ARM9 MIPS on RVDS
            else
                CFLAGS  += -DTIME_PROFILE_RVDS   # used for test ARM11 MIPS on RVDS
            endif
            CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
        else
            CFLAGS  += -DCYCLE_MEASUREMENT  
        endif
    endif
endif


ifeq ($(TGT_CPU),ARM9)
    CFLAGS  +=  -DWall -D__sun
endif

ifeq ($(TGT_CPU),ARM11)
    CFLAGS  +=  -DWall -D__sun
endif

ifeq ($(TGT_OS),UNIX)
    #CFLAGS  += -DLOG_TIMING
endif

ifeq ($(TGT_OS),ELINUX)
    CFLAGS  += -O2
endif

ifeq ($(TGT_OS),LERVDS)
    ifeq ($(MAP),1)
        LFLAGS_DEC	+= --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_DEC).map 
        LFLAGS_ENC	+= --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_ENC).map           
    endif	
    ifeq ($(ASM_FILE),1)
        CFLAGS += --asm
    endif        
endif

C_DEC_OBJS = $(APP_DIR)/decoder/g729_dectest.o
C_ENC_OBJS = $(APP_DIR)/encoder/g729_enctest.o

ALL_OBJS = $(C_OBJS) $(C_DEC_OBJS) $(C_ENC_OBJS)
DEC_OBJS = $(C_OBJS) $(C_DEC_OBJS)
ENC_OBJS = $(C_OBJS) $(C_ENC_OBJS)

all: 	TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for test $(CODEC) ---"

#Build the library

TEST_ARM11_LERVDS:	$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS_DEC) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS_ENC) $(ENC_OBJS) $(LIBRARY_ENC)	
		
TEST_ARM11_BERVDS:	$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS_DEC) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS_ENC) $(ENC_OBJS) $(LIBRARY_ENC)

		
TEST_ARM9_LERVDS:$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS_DEC) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS_ENC) $(ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM9_BERVDS:$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS_DEC) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS_ENC) $(ENC_OBJS) $(LIBRARY_ENC)
	
		
TEST_ARM11_ELINUX: $(ALL_OBJS) $(subst ../../src/$(CODEC)/,,$(LIBRARY_DEC)) $(subst ../../src/$(CODEC)/,,$(LIBRARY_ENC))
	$(LN) -o $(PROGRAM_DEC) $(LFLAGS) $(DEC_OBJS) $(subst ../../src/$(CODEC)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(subst ../../src/$(CODEC)/,,$(LIBRARY_ENC))
	
TEST_ARM9_ELINUX: $(ALL_OBJS) $(subst ../../src/$(CODEC)/,,$(LIBRARY_DEC)) $(subst ../../src/$(CODEC)/,,$(LIBRARY_ENC))
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(subst ../../src/$(CODEC)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(subst ../../src/$(CODEC)/,,$(LIBRARY_ENC))

TEST_X86_UNIX : $(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)


%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<
     
clean:
	rm -f $(ALL_OBJS) $(PROGRAM_DEC)  $(PROGRAM_ENC) $(PROGRAM_DEC).map $(PROGRAM_ENC).map main.in

=== test/gif_dec/Makefile ===
#*****************************************************************************
#
# gif_dec Test App Makefile
#
#*****************************************************************************
CODEC=gif_dec

include ../../build/Makefile_test.init

CFLAGS += -DSAVE_OUTPUT -DTIME_PROFILE

# ifeq ($(TGT_OS),ELINUX)
#    ifeq ($(TIME_PROFILE),1)
#		CFLAGS +=  -DTIME_PROFILE
#    else
#        CFLAGS += -DSAVE_OUTPUT
#    endif
# endif

 ifeq ($(TGT_OS),SYMBIAN)
    ifeq ($(TIME_PROFILE),1)
		CFLAGS +=  -DTIME_PROFILE
    else
        CFLAGS += -DSAVE_OUTPUT
    endif
    ifeq ($(MEMORY_MEASUREMENT),1)
      		CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
    endif

 endif

 ifeq ($(TGT_OS),UNIX)
     ifeq ($(TIME_PROFILE),1)
 		CFLAGS +=  -DTIME_PROFILE
     else
         CFLAGS += -DSAVE_OUTPUT
     endif
 endif

ifeq ($(TGT_OS),VRTX)
  AFLAGS += --debug --keep  --apcs=inter --memaccess=-UL41 
  CFLAGS  += --debug  -O0 -DENDIAN_BIG --apcs=inter --memaccess=-UL41 -DOS_VRTX -DCYCLE_MEASUREMENT -DSAVE_OUTPUT
  LFLAGS += --be32 --ro_base=0x90000000
endif

ifeq ($(TGT_OS),LERVDS)
	CFLAGS   += --inline --autoinline --forceinline
 	ifeq ($(TIME_PROFILE),1)
		CFLAGS +=  -DTIME_PROFILE_RVDS
        CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE	
		COMMON_DIR_C = ../../common/c_src
		C_OBJS += $(COMMON_DIR_C)/profile_utils.o
		INCLUDES += -I./c_src
    else
        CFLAGS += -DSAVE_OUTPUT
	endif
	
endif

ifeq ($(TGT_OS),BERVDS)

 AFLAGS += --debug --keep --cpu=ARM1136J-S
 CFLAGS += --pointer_alignment=1 --min_array_alignment=4 --dwarf2  --debug --no_debug_macros -O0 \
	     -Otime --apcs=inter --memaccess=-UL41		
 LFLAGS += --be32 --map --list=r.map
 	ifeq ($(TIME_PROFILE),1)
		CFLAGS +=  -DTIME_PROFILE_RVDS
		COMMON_DIR_C = ../../common/c_src
		C_OBJS += $(COMMON_DIR_C)/profile_utils.o
		INCLUDES += -I./c_src
    else
        CFLAGS += -DSAVE_OUTPUT
	endif

endif


C_OBJS += $(APP_DIR)/gif_test.o 
C_OBJS += $(APP_DIR)/log_api.o


ALL_OBJS = $(C_OBJS) $(ASM_OBJS)


all: 	TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

#Build the library
TEST_ARM11_SYMBIAN: $(ALL_OBJS) $(LIBRARY) 
		$(LN) $(INFLAGS) $(ALL_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM) --symbols --list $(PROGRAM).map  $(LIBRARY) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM)  $(PROGRAM)
TEST_ARM11_LERVDS: $(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 

TEST_ARM11_BERVDS: $(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 	

TEST_ARM11_VRTX:	$(ALL_OBJS) $(LIBRARY) 
#		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 
		

TEST_ARM11_ELINUX: $(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 
		
TEST_ARM9_LERVDS:$(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 

TEST_ARM9_BERVDS:	
	@echo "--- Build not supported for library $(CODEC) ---"

TEST_ARM9_ELINUX	: $(ALL_OBJS) $(LIBRARY) 
ifneq ($(BUILD),ARM9GSELINUX)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)
else
ifeq ($(LIB_TYPE),STATIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) $(GSO_LIBS) 
endif
ifeq ($(LIB_TYPE),DYNAMIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 
endif
endif
		 

TEST_X86_UNIX	:$(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<


clean:
	rm -f $(ALL_OBJS) $(PROGRAM)  $(PROGRAM).map main.in

=== test/jpeg_dec/Makefile ===
#*****************************************************************************
#
# jpeg_dec Test App Makefile
#
#*****************************************************************************
CODEC=jpeg_dec


# NOTICE for building jpeg_dec, need vpu related lib and hdr
# imx-lib contains the VPU libraries and binaries
# copy to the hdr directory, the vpu_lib.h and vpu_io.h  from imx-lib package or from /usr/lib  from target
# copy to the vpu directory the libvpu.so and libvpu.a


include ../../build/Makefile_test.init

## iMX51,iMX53,...   : USE_VPU_LIB=1
USE_VPU_LIB=1
## iMX508,iMX233,...: USE_VPU_LIB=0
#USE_VPU_LIB=0

INCLUDES += -I./hdr

ifeq ($(USE_VPU_LIB),1)
 #INCLUDES += -I../../src/jpeg_dec/hdr/vpu/linux
 CFLAGS+=-DVPU_SUPPORT
 #LIBRARY +=$(TOOLS_DIR)/arm-none-linux-gnueabi/lib/libpthread.a ./libvpu.a
 LFLAGS += -L./vpu -lvpu
 #LFLAGS+=-L./vpu
 #LIBRARY +=./vpu/libvpu.a
else
 CFLAGS+=-DVPU_SUPPORT
 PROGRAM = test_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN)_novpu
  ifeq ($(LIB_TYPE),DYNAMIC)
    LIBRARY = $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN)_novpu.so $(TC_LIBRARY)
  else
    LIBRARY = $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN)_novpu.a $(TC_LIBRARY)
  endif      
endif

ifeq  ($(TGT_OS),ELINUX)
  ifeq ($(TIME_PROFILE),1)
	CFLAGS +=  -DTIME_PROFILE -DCHECK_CYCLES
  endif
endif

ifeq  ($(TGT_OS),SYMBIAN)
  ifeq ($(TIME_PROFILE),1)
	CFLAGS +=  -DTIME_PROFILE
  endif
endif

ifeq  ($(TGT_OS),SYMBIAN)
  ifeq ($(TIME_PROFILE),1)
	CFLAGS +=  -DTIME_PROFILE
  endif
         	ifeq ($(MEMORY_MEASUREMENT),1)
          		CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
       	endif
endif
ifeq ($(TGT_OS),LERVDS)
	CFLAGS   += --no_inline --no_autoinline
	ifeq ($(TIME_PROFILE),1)
		CFLAGS +=  -DTIME_PROFILE_RVDS -DCHECK_CYCLES
		CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
		COMMON_DIR_C = ../../common/c_src
		C_OBJS += $(COMMON_DIR_C)/profile_utils.o
		INCLUDES += -I./c_src
	endif
endif

ifeq ($(TGT_OS),BERVDS)
 AFLAGS +=  --debug --keep
 CFLAGS += --dwarf2 --debug  -O0 -Otime --apcs=inter --memaccess=-UL41 \
	     -DARM11_CCM -DJPEG_DEC_IDCT_ASM -DBE_RVDS

 LFLAGS += --be32
 	ifeq ($(TIME_PROFILE),1)
 		CFLAGS +=  -DTIME_PROFILE_RVDS -DCHECK_CYCLES
 		COMMON_DIR_C = ../../common/c_src
 		C_OBJS += $(COMMON_DIR_C)/profile_utils.o
 		INCLUDES += -I./c_src
 	endif

endif

ifeq ($(TGT_OS), VRTX)
# INCLUDES += -I../../src/jpeg_dec/hdr

 AFLAGS  +=   --debug --keep
 CFLAGS  += --dwarf2 --debug  -O0 --apcs=inter --memaccess=-UL41 \
	     -DARM11_CCM -DJPEG_DEC_IDCT_ASM -DOS_VRTX #-D_SIM

 LFLAGS += --be32 --ro_base=0x96000000
endif

#C_OBJS += $(APP_DIR)/wrbmp.o
#C_OBJS += $(APP_DIR)/log_api.o
C_OBJS += $(APP_DIR)/jpeg_dec_app.o


ifeq ($(TGT_OS), VRTX)
ASM_OBJS  = ../../common/asm_arm/rt_memory.o
ASM_OBJS += ../../common/asm_arm/rt_mem_h.o
ASM_OBJS += ../../common/asm_arm/initcache.o
endif
ifeq ($(TGT_OS), BERVDS)
ASM_OBJS  = ../../common/asm_arm/rt_memory.o
ASM_OBJS += ../../common/asm_arm/rt_mem_h.o
ASM_OBJS += ../../common/asm_arm/initcache.o
endif


ALL_OBJS = $(C_OBJS)


all: LIBRARY_COPY TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"


LIBRARY_COPY:
ifndef DBG
ifeq ($(USE_VPU_LIB),1)
 ifeq ($(LIB_TYPE),STATIC)
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).a  ./
 else
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
 endif
else
 ifeq ($(LIB_TYPE),STATIC)
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN)_novpu.a  ./
 else
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN)_novpu.so ./
 endif
endif
endif

#Build the library
TEST_ARM11_SYMBIAN: $(ALL_OBJS) $(LIBRARY)
		$(LN) $(INFLAGS) $(ALL_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM) --symbols --list $(PROGRAM).map  $(LIBRARY) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM)  $(PROGRAM)

TEST_ARM9_LERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM11_LERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM11_BERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)



TEST_ARM11_VRTX:	$(ALL_OBJS) $(LIBRARY)
#		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)


TEST_ARM11_ELINUX: 	$(ALL_OBJS)  $(LIBRARY)
ifneq ($(LIB_TYPE),STATIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
else
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)
endif


TEST_ARM9_ELINUX	: $(ALL_OBJS) $(LIBRARY)
ifneq ($(BUILD),ARM9GSELINUX)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)
else
ifeq ($(LIB_TYPE),STATIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) $(GSO_LIBS)
endif
ifeq ($(LIB_TYPE),DYNAMIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)
endif
endif


TEST_X86_UNIX	:$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)


%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<

clean:
	rm -f $(ALL_OBJS) $(PROGRAM)  $(PROGRAM).map main.in

=== test/jpeg_enc/Makefile ===
#*****************************************************************************
#
# jpeg_enc Test App Makefile
#
#*****************************************************************************
CODEC=jpeg_enc



include ../../build/Makefile_test.init


ifndef API

    API=FRAME
endif
 
FRAME_EXTN=frame
ROW_EXTN=mcu

ifeq ($(TGT_OS),ELINUX)
    ifeq ($(TIME_PROFILE),1)
		CFLAGS +=  -DTIME_PROFILE
    endif
 endif


ifeq ($(TGT_OS),SYMBIAN)
    ifeq ($(TIME_PROFILE),1)
		CFLAGS +=  -DTIME_PROFILE
    endif
       	ifeq ($(MEMORY_MEASUREMENT),1)
            		CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
       	endif
 endif
 
ifeq ($(TGT_OS),UNIX)
   CFLAGS   += --inline 
endif

ifeq ($(TGT_OS),LERVDS)
	CFLAGS   += --inline --autoinline --forceinline -DRVDS_TEST
	ifeq ($(TIME_PROFILE),1)
		CFLAGS +=  -DTIME_PROFILE_RVDS
		CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
		COMMON_DIR_C = ../../common/c_src
		C_OBJS += $(COMMON_DIR_C)/profile_utils.o
		INCLUDES += -I./c_src
	endif
endif

ifeq ($(TGT_OS),BERVDS)
	
  CFLAGS   += -DRVDS_TEST

  AFLAGS += --debug --keep --predefine="FAST_DCT_ASM SETL {TRUE}" --predefine="TARGET_ARM_1136J_S SETL {TRUE}"\
	      --predefine="ASM SETL {TRUE}" --predefine="ENABLE_UNALIGNED_ACCESS SETL {FALSE}" --predefine="ENDIAN_BIG SETL {TRUE}"

 CFLAGS  +=  --debug --cpu=ARM1136J-S -O3 -Otime -DNOERREXIT -DFAST_DCT_ASM -DTARGET_ARM_1136J_S -DARM_ADS -DASM\
		 -DCCM -DEXIF -DENDIAN_BIG  --list -DRVDS_TEST

LFLAGS += --be32
	ifeq ($(TIME_PROFILE),1)
		CFLAGS +=  -DTIME_PROFILE_RVDS
		COMMON_DIR_C = ../../common/c_src
		C_OBJS += $(COMMON_DIR_C)/profile_utils.o
		INCLUDES += -I./c_src
	endif
endif



#Set the build specific variables
  
ifeq ($(TGT_OS), VRTX)
  AFLAGS +=  --debug --keep \
	     --predefine="FAST_DCT_ASM SETL {TRUE}"\
	     --predefine="TARGET_ARM_1136J_S SETL {TRUE}"\
	     --predefine="ASM SETL {TRUE}" --predefine="ENABLE_UNALIGNED_ACCESS SETL {FALSE}"\
	     --predefine="ENDIAN_BIG SETL {TRUE}"


  CFLAGS  += --debug -DNOERREXIT\
	     -DFAST_DCT_ASM -DTARGET_ARM_1136J_S -DARM_ADS -DASM\
	     -DCCM -DEXIF -DENDIAN_BIG -DOS_VRTX 

  LFLAGS += --be32 --map --ro_base=0x90000000
endif


C_OBJS += $(APP_DIR)/application.o
C_OBJS += $(APP_DIR)/log_api.o

ifeq ($(TGT_OS), VRTX)
 ASM_OBJS = ../../common/asm_arm/rt_memory.o
 ASM_OBJS += ../../common/asm_arm/rt_mem_h.o
 ASM_OBJS += ../../common/asm_arm/initcache.o
endif
ifeq ($(TGT_OS), BERVDS)
 ASM_OBJS = ../../common/asm_arm/rt_memory.o
 ASM_OBJS += ../../common/asm_arm/rt_mem_h.o
 ASM_OBJS += ../../common/asm_arm/initcache.o
 ASM_OBJS += ../../common/c_src/profile_utils.o

endif


	
ALL_OBJS = $(C_OBJS) $(ASM_OBJS) 


all: 	TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

#Build the library

TEST_ARM11_SYMBIAN: $(ALL_OBJS) $(LIBRARY) 
		$(LN) $(INFLAGS) $(ALL_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM) --symbols --list $(PROGRAM).map  $(LIBRARY) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM)  $(PROGRAM)

TEST_ARM9_LERVDS:	$(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 

TEST_ARM11_LERVDS:	$(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 

TEST_ARM11_BERVDS:	$(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 
		

TEST_ARM11_VRTX:	$(ALL_OBJS) $(LIBRARY) 
#		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 
		

TEST_ARM11_ELINUX: $(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 
		

TEST_ARM9_ELINUX	: $(ALL_OBJS) $(LIBRARY) 
ifneq ($(BUILD),ARM9GSELINUX)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)
else
ifeq ($(LIB_TYPE),STATIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) $(GSO_LIBS)
endif	
ifeq ($(LIB_TYPE),DYNAMIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 
endif
endif
		 

TEST_X86_UNIX	:$(ALL_OBJS) $(LIBRARY) 
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY) 

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<

clean:
	rm -f $(ALL_OBJS) $(PROGRAM)  $(PROGRAM).map main.in

=== test/mp3_dec/Makefile ===
#*****************************************************************************
#
# MP3 Decoder Test App Makefile
#
#*****************************************************************************
CODEC=mp3_dec
include ../../build/Makefile_test.init

CFLAGS += -DPUSH_MODE -DOUT_DUMP --debug
ifeq ($(TGT_CPU),ARM12)
    CFLAGS += -DARM12
endif

#Set the build specific variables

ifeq "$(TGT_OS)" "ELINUX"
    ifeq ($(TGT_CPU),ARM9)
	CFLAGS += -DMPEGLAYER1 -DMPEGLAYER2 -DUNIX_INTEGRATION -DDEBUG_API -DFILEIO -DUSE_MACROS -DLINUX #-DPRINT
	CFLAGS += -O2
        LFLAGS += -L$(LIB_DIR)  $(ENDIAN_$(TGT_ENDIAN))
    endif
    ifeq ($(TGT_CPU),ARM11)
	CFLAGS +=  -DMPEGLAYER1 -DMPEGLAYER2 -DFILEIO -DLINUX  -D$(TGT_ENDIAN)_ENDIAN #-DPRINT
    endif
    ifeq ($(TGT_CPU),ARM12)
	CFLAGS +=  -DMPEGLAYER1 -DMPEGLAYER2 -DFILEIO -DLINUX  -D$(TGT_ENDIAN)_ENDIAN #-DPRINT
    endif
    ifeq ($(TIME_PROFILE),1)
    	CFLAGS +=  -DTIME_PROFILE
    endif
endif

ifeq ($(TGT_OS),LERVDS)
	CFLAGS  += -DMPEGLAYER1 -DMPEGLAYER2  -DFILEIO -DSINGLE_VECTOR --inline --autoinline --forceinline -DOUT_DUMP #-DPRINT -DARM_ADS
	ifeq ($(TIME_PROFILE),1)
			CFLAGS += -DTIME_PROFILE_RVDS
			CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
			COMMON_DIR_C = ../../common/c_src
			C_OBJS += $(COMMON_DIR_C)/profile_utils.o
			INCLUDES += -I./c_src
	endif

	ifeq ($(MX31ADS_STANDALONE),1)
	    AFLAGS += --PD "MX31ADS SETL {TRUE}"
	    LFLAGS += --scatter ../../common/asm_arm/mx31/scat_a.txt --entry 0x80080000
	    ifeq ($(LEVEL2_PAGE),1)
	    	AFLAGS += --PD "L2_TTB SETL {TRUE}"
	    endif
	endif
	ifeq ($(MX353DS_STANDALONE),1)
	    AFLAGS += --PD "MX353DS SETL {TRUE}"
	    LFLAGS += --scatter ../../common/asm_arm/mx35/scat_a.txt --entry 0x80080000
	    ifeq ($(LEVEL2_PAGE),1)
	    	AFLAGS += --PD "L2_TTB SETL {TRUE}"
	    endif
	endif

		CFLAGS  += -DLITTLE_ENDIAN
endif

ifeq ($(TGT_OS),UNIX)
	CFLAGS += -DMPEGLAYER1 -DMPEGLAYER2 -DSINGLE_VECTOR -DFILEIO  -DPRINT -D$(TGT_ENDIAN)_ENDIAN
endif


C_OBJS = $(APP_DIR)/mp3_dec_test.o


ifeq ($(TGT_OS),LERVDS)
 ifeq ($(TIME_PROFILE),1)
  C_OBJS += ../../common/c_src/profile_utils.o
 endif
 ifeq ($(MX31ADS_STANDALONE),1)
	C_OBJS += ../../common/c_src/retarget.o
  ASM_OBJS += ../../common/asm_arm/mx31/initmmu.o
  ASM_OBJS += ../../common/asm_arm/mx31/ttb.o
 endif

 ifeq ($(MX353DS_STANDALONE),1)
	C_OBJS += ../../common/c_src/retarget.o
  ASM_OBJS += ../../common/asm_arm/mx35/initmmu.o
  ASM_OBJS += ../../common/asm_arm/mx35/ttb.o
 endif
endif

ifeq ($(TGT_CPU),ARM12)
ifneq "$(TGT_OS)" "ELINUX"
  C_OBJS += ../../common/c_src/retarget_Cortex.o
  ASM_OBJS += ../../common/asm_arm/Init_Cortex.o \
              ../../common/asm_arm/InitCache_Cortex.o \
              ../../common/asm_arm/Vectors.o
endif
endif

ALL_OBJS = $(C_OBJS) $(ASM_OBJS)

all: LIBRARY_COPY TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

LIBRARY_COPY:
ifndef DBG
 ifeq ($(LIB_TYPE),STATIC)
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).a  ./
	cp $(LIB_DIR)/lib_aac_dec_$(TGT_CPU_BIN)_$(TGT_OS_BIN).a  ./
 else
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
	cp $(LIB_DIR)/lib_aac_dec_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
 endif
endif

#Build the library
TEST_ARM12_LERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)
TEST_ARM11_LERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)

TEST_ARM11_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))

TEST_ARM12_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))


TEST_ARM9_ELINUX	: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
ifneq ($(BUILD),ARM9GSELINUX)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
else
ifeq ($(LIB_TYPE),STATIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY)) $(GSO_LIBS)
endif
ifeq ($(LIB_TYPE),DYNAMIC)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst ../../src/$(CODEC)/,,$(LIBRARY))
endif
endif


TEST_X86_UNIX	:$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)


TEST_ARM9_LERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)


%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<


clean:
	rm -f $(ALL_OBJS) $(PROGRAM)  $(PROGRAM).map main.in

=== test/nb_amr/Makefile ===
#*****************************************************************************
#
# NBAMR Codec Makefile
#
#*****************************************************************************
CODEC=nb_amr


include ../../build/Makefile_test.init


#Set the build specific variables


ifeq ($(TOOL_CHAIN),MVISTA)
  ifeq ($(TGT_OS),ELINUX)
	CFLAGS	+= -msoft-float -mfpu=vfp
  endif
endif

ifeq ($(TOOL_CHAIN),RVDS)
  ifeq ($(TGT_OS),VRTX)
	CFLAGS	+= --debug -O0 --apcs=interwork --memaccess=-UL41 -DARM_OPTS -DWMOPS=0 \
		-DOS_VRTX -DTARGET_ARM11 -DCYCLE_MEASUREMENT
	AFLAGS 	+= --debug --keep --apcs=inter --memaccess=-UL41
      LFLAGS	+= --be32 --ro_base=0x90000000
  endif
endif

ifeq ($(TGT_OS),LERVDS)
	CFLAGS += -D__sun__  --inline --autoinline --forceinline
        #-O3 is not support in test
	CFLAGS += -O0
	ifeq ($(TIME_PROFILE),1)
		CFLAGS += -DTIME_PROFILE_RVDS
		CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
	endif
        ifeq ($(MAP),1)
           LFLAGS_DEC	+= --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_DEC).map
           LFLAGS_ENC	+= --info sizes,totals --info libraries --info unused --symbols --map --list $(PROGRAM_ENC).map
        endif
        ifeq ($(ASM_FILE),1)
            CFLAGS += --asm
        endif

endif



ifeq ($(TGT_OS),ELINUX)

ifeq ($(TIME_PROFILE),1)

CFLAGS += -DTIME_PROFILE

endif

endif

ifeq ($(TGT_OS),SYMBIAN)

ifeq ($(TIME_PROFILE),1)

CFLAGS += -DTIME_PROFILE

endif
       	ifeq ($(MEMORY_MEASUREMENT),1)
        		CFLAGS += -DTIME_PROFILE -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
       	endif
endif





CFLAGS += -DARM_OPTS -DWMOPS=0 -D__sun_ -DARMGCC_OPTS

#CFLAGS +=-O2 -DTARGET_ARM9 -D__sun__ -DARMGCC_OPTS -DWMOPS=0 -fomit-frame-pointer -DARM_OPTS
# Define this to output cycles information(on armulator)
#CFLAGS += -DCYCLE_MEASUREMENT
# Define this to output cycles information(on board)
#CFLAGS += -DSYSTEM_TIME
#Define this for alignment check
#CFLAGS += -DALIGNMENT_CHECK

ifeq ($(TGT_ENDIAN),BIG)
  CFLAGS += -DNBAMR_BIG_ENDIAN -DNBAMR_ENDIAN_BIG
  AFLAGS += --predefine="NBAMR_ENDIAN_BIG SETL {TRUE}"
endif

ifeq ($(TGT_OS),BERVDS)
 AFLAGS += --debug --keep  --predefine="NBAMR_ENDIAN_BIG SETL {TRUE}" --apcs=inter --memaccess=-UL41

 CFLAGS  += --debug -O0 -Otime -DTARGET_ARM11 -DCYCLE_MEASUREMENT \
		--apcs=interwork -DARM_OPTS -DWMOPS=0 -DNBAMR_ENDIAN_BIG  --memaccess=-UL41

 LFLAGS += --be32 --ro_base=0x90000000
endif


ifeq ($(TGT_CPU),ARM11)
  CFLAGS += -DTARGET_ARM11

  ifeq ($(TGT_OS),ELINUX)
    CFLAGS += -D__sun__ -DARMGCC_OPTS
  endif

  ifeq ($(TGT_OS),VRTX)
    CFLAGS += -DOS_VRTX
  endif
endif
ifeq ($(TGT_CPU),ARM9)
ifeq ($(TGT_OS),ELINUX)
    CFLAGS += -funroll-all-loops -fomit-frame-pointer
endif
endif

C_OBJS = $(APP_DIR)/common/log_api.o

ifeq ($(TGT_OS),ELINUX)
 ifeq ($(TGT_CPU),ARM11)
     C_OBJS += $(APP_DIR)/common/table_size.o
 endif
endif
ifeq ($(TGT_OS),SYMBIAN)
 ifeq ($(TGT_CPU),ARM11)
     C_OBJS += $(APP_DIR)/common/table_size.o
 endif
endif
ifeq ($(TGT_OS),VRTX)
  ASM_OBJS =  ../../common/asm_arm/rt_memory.o \
		  ../../common/asm_arm/rt_mem_h.o

endif

ifeq ($(TGT_OS),BERVDS)
  ASM_OBJS =  ../../common/asm_arm/rt_memory.o \
		  ../../common/asm_arm/rt_mem_h.o

endif

C_DEC_OBJS = $(APP_DIR)/decoder/nbamr_dectest.o
C_ENC_OBJS = $(APP_DIR)/encoder/nbamr_enctest.o



ALL_OBJS = $(C_OBJS) $(C_DEC_OBJS) $(C_ENC_OBJS) $(ASM_OBJS)
DEC_OBJS = $(C_OBJS) $(C_DEC_OBJS) $(ASM_OBJS)
ENC_OBJS = $(C_OBJS) $(C_ENC_OBJS) $(ASM_OBJS)



all: LIBRARY_COPY TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

LIBRARY_COPY:
ifndef DBG
	cp $(LIB_DIR)/lib_$(CODEC)_dec_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so  ./
	cp $(LIB_DIR)/lib_$(CODEC)_enc_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
endif

#Build the library

TEST_ARM11_SYMBIAN: $(ALL_OBJS) $(LIBRARY_ENC) $(LIBRARY_DEC)
		$(LN) $(INFLAGS) $(DEC_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM_DEC) --symbols --list $(PROGRAM_DEC).map  $(LIBRARY_DEC) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM_DEC)  $(PROGRAM_DEC)
		$(LN) $(INFLAGS) $(ENC_OBJS)
		$(LN) $(LFLAGS) -o $(PROGRAM_ENC) --symbols --list $(PROGRAM_ENC).map  $(LIBRARY_ENC) $(SYMLIB)
		$(ELFTRAN)   $(PROGRAM_ENC)  $(PROGRAM_ENC)

TEST_ARM11_LERVDS:$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM9_LERVDS:$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(LFLAGS_DEC) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(LFLAGS_ENC) $(ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM11_BERVDS:$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)


TEST_ARM11_VRTX:	$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
#	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
#	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)

TEST_ARM11_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC)) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
	$(LN) -o $(PROGRAM_DEC) $(LFLAGS) $(DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))

TEST_ARM9_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC)) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
  ifneq ($(BUILD),ARM9GSELINUX)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
  else
     ifeq ($(LIB_TYPE),DYNAMIC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC))
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC))
     endif
     ifeq ($(LIB_TYPE),STATIC)
        $(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_DEC)) $(GSO_LIBS)
	$(LN) -o $(PROGRAM_ENC)  $(LFLAGS) $(ENC_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY_ENC)) $(GSO_LIBS)
     endif
  endif


TEST_X86_UNIX	:$(ALL_OBJS) $(LIBRARY_DEC) $(LIBRARY_ENC)
	$(LN) -o $(PROGRAM_DEC)  $(LFLAGS) $(DEC_OBJS) $(LIBRARY_DEC)
	$(LN) -o $(PROGRAM_ENC) $(LFLAGS) $(ENC_OBJS) $(LIBRARY_ENC)

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<


clean:
	rm -f $(ALL_OBJS) $(PROGRAM_DEC)  $(PROGRAM_ENC) $(PROGRAM_DEC).map $(PROGRAM_ENC).map main.in

=== test/oggvorbis_dec/Makefile ===
#*****************************************************************************
#
# oggvorbis_dec Test App Makefile
#
#*****************************************************************************
CODEC=oggvorbis_dec



include ../../build/Makefile_test.init

#Set the build specific variables

ifeq ($(TGT_OS),ELINUX)
 ifeq ($(TGT_CPU),ARM11)

	EXTRA_TESTS += -DRELOCATION
	STACK	 +=  -DSTACK_USAGE
	CFLAGS   +=
 endif
 ifeq ($(TIME_PROFILE),1)
 	CFLAGS += -DTIME_PROFILE=1
 endif
endif

ifeq ($(TGT_OS),LERVDS)

	CFLAGS	+= -DARM_ADS -fy --loose_implicit_cast -g --inline --autoinline --forceinline
    ifeq ($(TIME_PROFILE),1)
		CFLAGS += -DTIME_PROFILE_RVDS
		CFLAGS += -DMEASURE_STACK_USAGE -DMEASURE_HEAP_USAGE
    endif
endif

ifeq ($(TOOL_CHAIN),RVDS)
  ifeq ($(TGT_OS),ELINUX)

	CFLAGS   += -O3
 endif
endif


C_OBJS  = $(APP_DIR)/ivorbisfile_example.o
ifeq ($(TGT_OS),LERVDS)
 ifeq ($(TIME_PROFILE),1)
  C_OBJS += ../../common/c_src/profile_utils.o
 endif
endif

ifeq ($(RAW_DATA),0)
CFLAGS += -DxRAW_DATA_INPUT
else
CFLAGS += -DRAW_DATA_INPUT
endif

ALL_OBJS = $(C_OBJS)


all: LIBRARY_COPY TEST_$(TGT_CPU)_$(TGT_OS)
	@echo "--- Build-all done for library $(CODEC) ---"

LIBRARY_COPY:
ifndef DBG
 ifeq ($(LIB_TYPE),STATIC)
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).a  ./
 else
	cp $(LIB_DIR)/lib_$(CODEC)_$(TGT_CPU_BIN)_$(TGT_OS_BIN).so ./
 endif
endif

#Build the library
TEST_ARM11_LERVDS:	$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)
TEST_ARM11_BERVDS:
	@echo "--- Build not supporting for test $(CODEC) ---"

TEST_ARM11_ELINUX: $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(subst $(LIB_DIR)/,,$(LIBRARY))
TEST_ARM11_VRTX:
	@echo "--- Build not supporting for test $(CODEC) ---"
TEST_ARM9_ELINUX:
	@echo "--- Build not supporting for test $(CODEC) ---"

TEST_X86_UNIX	:$(ALL_OBJS) $(LIBRARY)
		$(LN) -o $(PROGRAM) $(LFLAGS) $(ALL_OBJS) $(LIBRARY)


TEST_ARM9_LERVDS:
	@echo "--- Build not supported for Test App $(CODEC) ---"

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES)  -c  -o $@ $<

%.o: %.s
	$(AS) $(AFLAGS) -o $@ $<


clean:
	rm -f $(ALL_OBJS) $(PROGRAM)

=== debian/changelog ===
fsl-mm-codeclib (1.9.8+repack-2charlotte3) lucid; urgency=low

  * remove WMV, WMA, ASF codec libs
  * (LP: #809960)

 -- Taiten Peng <taiten.peng@canonical.com>  Fri, 29 Jul 2011 18:52:04 +0800

fsl-mm-codeclib (1.9.8+repack-2charlotte2) lucid; urgency=low

  * Repack to get WMV codecs

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 20:55:19 -0600

fsl-mm-codeclib (1.9.8-2charlotte1) lucid; urgency=low

  * New upstream release

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 15:30:16 -0600

fsl-mm-codeclib (1.9.8-2) unstable; urgency=low
  * Update avi parser to 3.2.0
  * Update ogg parser to 1.5.0
  * Update MPEG2 parser to 3.50.05
  * Update MPEG4 parser to 6.04.01

 -- Multimedia Team <shmmmw@freescale.com>  Thu, 03 Mar 2011 00:00:00 +0800

fsl-mm-codeclib (1.9.8-1) unstable; urgency=low

  * Update MPEG4 parser to 6.04.00
  * Update MPEG2 parser to 3.50.04

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 23 Feb 2011 00:00:00 +0800

fsl-mm-codeclib (1.9.7-1) unstable; urgency=low

  * Update MPEG2 parser to 3.50.02

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 31 Dec 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.6-1) unstable; urgency=low

  * Update to 1.9.6

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 3 Dec 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.5-1) unstable; urgency=low

  * Update to 1.9.5

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 26 Nov 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.4-2) unstable; urgency=low

  * Update mpg2 parser to 3.43.00.
  * Update flv parser to 1.03.00.
  * Update mp4 parser to 6.3.12 (improve robustness)

 -- Multimedia Team <shmmmw@freescale.com>  Thu, 22 Oct 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.4-1) unstable; urgency=low

  * Update version to 1.9.4.
  * Update mpg2 parser to 3.41.00.

 -- Multimedia Team <shmmmw@freescale.com>  Thu, 30 Sep 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.3-3) unstable; urgency=low

  * Update Ogg parser to 1.02.00.
  * Update mp4 parser to 06.03.11

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 17 Sep 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.3-2) unstable; urgency=low

  * Update VPU firmware to 1.4.14.

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 10 Sep 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.3-1) unstable; urgency=low

  * Change version to 1.9.3.
  * Update mp3 decoder to 02.07.00
  * Update mp4 parser to 06.03.07

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 3 Sep 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.2-2) unstable; urgency=low


  * Degrade  mp4 parser to 06.03.07

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 20 Aug 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.2-1) unstable; urgency=low

  * Update version to 1.9.2

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 13 Aug 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.1-1) unstable; urgency=low

  * Update to 1.9.1

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 6 Aug 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.0-2) unstable; urgency=low

  * Update the WMV and WMA decoder.

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 23 July 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.0-1) unstable; urgency=low

  * MP4: update to version 6.3.5.
  * Add MKV 1.0.0 version.
  * Add ID3 and WAV parser.

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 16 July 2010 00:00:00 +0800

fsl-mm-codeclib (1.8.1-4) unstable; urgency=low

  * MP4: update to version 6.0.4 (opdate buffer/sample allocate algorithm).
  * MPG2: update to version 3.2.0 (optimize seek flow, fix re-timestamp algorithm).

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 9 July 2010 00:00:00 +0800

fsl-mm-codeclib (1.8.1-3) unstable; urgency=low

  * Add flv and ogg core parser.

 -- Sario HU <b01138@freescale.com>  Tue, 22 Jun 2010 12:24:03 +0800

fsl-mm-codeclib (1.8.1-2) unstable; urgency=low

  * Add unified parser cores.

 -- Sario HU <b01138@freescale.com>  Mon, 7 Jun 2010 12:24:03 +0800

fsl-mm-codeclib (1.8.1-1) unstable; urgency=low

  * Update.

 -- Sario HU <b01138@freescale.com>  Fri, 4 Jun 2010 12:24:03 +0800

fsl-mm-codeclib (1.8.0-1) unstable; urgency=low

  * Update documents.

 -- Dexter JI <b01140@freescale.com>  Tues, 20 May 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.3-8) unstable; urgency=low

  * Update documents.
  * Update the ASF parser to support meta-data output.
  * Fix the ASF parser with WMA std L2 level clips.

 -- Sario Hu <b01138@freescale.com>  Fri, 23 Apr 2010 16:24:03 +0800

fsl-mm-codeclib (1.7.3-7) unstable; urgency=low

  * Update documents.

 -- Sario Hu <b01138@freescale.com>  Fri, 16 Apr 2010 12:24:03 +0800

fsl-mm-codeclib (1.7.3-6) unstable; urgency=low

  * Update Vorbis decoder to 2.02
  * Update WMA10 decoder to 3.03

 -- Lyon Wang <b12696@freescale.com>  Fri, 2 Apr 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.3-5) unstable; urgency=low

  * Update asf core parser to version: 0.2.6

 -- Dexter JI <b01140@freescale.com>  Fri, 26 Mar 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.3-2) unstable; urgency=low

  * Update asf core parser to version: 0.2.4

 -- Sario Hu <b01138@freescale.com>  Fri, 19 Mar 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.3-1) unstable; urgency=low

  * Update mp4 core parser to version: v6.1.8

 -- Sario Hu <b01138@freescale.com>  Fri, 5 Mar 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.2-2) unstable; urgency=low

  * Update mp4 core parser to version: v6.1.3

 -- Tim Tian <b04280@freescale.com>  Thu, 28 Jan 2010 11:25:00 +0800

fsl-mm-codeclib (1.7.2-1) unstable; urgency=low

  * Update version to 1.7.2.

 -- Sario Hu <b01138@freescale.com>  Fri, 15 Jan 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.1-5) unstable; urgency=low

  * Update avi core parser to version: v2.4.6

 -- Tim Tian <b04280@freescale.com>  Thu, 24 Dec 2009 11:25:00 +0800

fsl-mm-codeclib (1.7.1-4) unstable; urgency=low

  * Update flac decoder to v2.1.0

 -- Sario Hu <b01138@freescale.com>  Fri, 18 Dec 2009 16:38:03 +0800

fsl-mm-codeclib (1.7.1-3) unstable; urgency=low

  * Add codec-protect speech codec.
  * Add sw/hw optimized jpeg decoder.



=== debian/control ===
Source: fsl-mm-codeclib
Priority: extra
Maintainer: Sario Hu <b01138@freescale.com>
Build-Depends: debhelper (>= 7), cdbs
Standards-Version: 3.8.0
Section: libs
Homepage: http://www.freescale.com

Package: libfsl-mm-core1
Section: libs
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Freescale Multimedia Core libraries.
 Freescale Multimedia Core libraries.

Package: libfsl-mm-core-dev
Section: libdevel
Architecture: armel
Depends: libfsl-mm-core1 (= ${binary:Version})
Description: Freescale Multimedia Core libraries for development.
 Freescale Multimedia Core libraries for development.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/cdbs/1/rules/simple-patchsys.mk


# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	install etc/asound.conf debian/libfsl-mm-core1/usr/lib/
	cp -rf release/lib/*.so debian/libfsl-mm-core1/usr/lib/
	cp -rf release/exe/test* debian/libfsl-mm-core1/usr/bin/
	rm -rf debian/libfsl-mm-core1/usr/bin/test_aac_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_aac_dec_arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_aacplus_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_bmp_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_deinterlace_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_g.*arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_mp3_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_mp3_dec_arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_mp3_enc_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_mp3_enc_arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_nb_amr*arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_png_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_sbc_enc_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_wb_amr_*_arm1*_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_wma10_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_wma10_dec_arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_gif_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_jpeg_*arm9_elinux
	
	
	cp -rf ghdr debian/libfsl-mm-core-dev/usr/include/mm_ghdr
	cp pkgconfig/*.pc debian/libfsl-mm-core-dev/usr/lib/pkgconfig
	# Add here commands to install the package into debian/tmp
	#$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
